Bug 186366 - libOSMesa missing
libOSMesa missing
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Adam Jackson
X/OpenGL Maintenance List
Depends On:
  Show dependency treegraph
Reported: 2006-03-23 02:42 EST by Jaakko Hyvätti
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-15 19:07:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
OpenSUSE Mesa 6.4.2 spec file (11.93 KB, text/plain)
2006-05-19 17:02 EDT, Orion Poplawski
no flags Details

External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 6980 None None None Never

  None (edit)
Description Jaakko Hyvätti 2006-03-23 02:42:26 EST
Description of problem:
libOSMesa is missing.  It used to be in Fedora Core 4 in xorg-x11-libs package,
but now this has apparently been broken up to smaller packages, one package for
each lib.  Also, /usr/include/GL/osmesa.h exists in mesa-libGL-devel.  However,
no package for libOSMesa exists, and it is not present in mesa-libGL.

OSMesa is an important software component for batch rendering images without X
server or even graphics hardware. I hope it has just slipped and it is not
intentional to leave it out.
Comment 1 Orion Poplawski 2006-05-19 16:55:17 EDT
Appears to be mainly an upstream issue in that it does not appear to be possible
to build both a DRI and OSMesa capable version of libGL.  Filed upstream.
Comment 2 Orion Poplawski 2006-05-19 17:02:11 EDT
Created attachment 129630 [details]
OpenSUSE Mesa 6.4.2 spec file

This is the OpenSUSE spec file which *apears* to build the OSMesa library
Comment 3 Adam Jackson 2006-09-15 19:07:41 EDT
Fixed in rawhide for FC6.

Note You need to log in before you can comment on or make changes to this bug.